Navigationlink 'preferences' doesn't have an accesskey
Closed, DeclinedPublic

Assigned To
None
Priority
Lowest
Author
bzimport
Subscribers
wikibugs-l
Projects
Reference
bz5206
Description

Author: hirsch.heisseich

Description:
If you are logged in all top-navigation links have an accesskey... No, not all!
The 'preferences'-link doesn't have one. Why? Please include there also an
accesskey. Thank you.

The current code:
<li id="pt-userpage" class="active"><a title="My user page [alt-.]"
accesskey="." href="/wiki/xxx">xxx</a></li>
<li id="pt-mytalk"><a title="My talk page [alt-n]" accesskey="n"
href="/wiki/xxx">My talk</a></li>
<li title="My preferences" id="pt-preferences"><a
href="/wiki/Spezial:Preferences">Preferences</a></li>
<li id="pt-watchlist"><a title="The list of pages you're monitoring for changes.
[alt-l]" accesskey="l" href="/wiki/Spezial:Watchlist">My watchlist</a></li>
<li id="pt-mycontris"><a title="List of my contributions [alt-y]" accesskey="y"
href="/wiki/Spezial:Contributions/xxx">My contributions</a></li>
<li id="pt-logout"><a title="Log out [alt-o]" accesskey="o"
href="/w/index.php?title=Spezial:Userlogout&amp;returnto=xxx">Log out</a></li>


Version: unspecified
Severity: normal

bzimport added a project: MediaWiki-Interface.Via ConduitNov 21 2014, 9:09 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz5206.
bzimport created this task.Via LegacyMar 8 2006, 7:04 PM
bzimport added a comment.Via ConduitApr 1 2006, 11:11 PM

robchur wrote:

What key would you like?

bzimport added a comment.Via ConduitMay 10 2006, 5:22 AM

hirsch.heisseich wrote:

Hi Rob. What about 'alt-k'? Or is this one already taken somewhere?

Raymond added a comment.Via ConduitAug 23 2007, 8:49 AM

Accesskey ',' added with r25080.

brion added a comment.Via ConduitSep 4 2007, 2:42 PM

Reverted in r25475.

I don't see any real need for an access key for a rarely-used function like prefs here, and picking ones that already interfere with other keyboard shortcuts kinda sucks. :)

Resolving WONTFIX.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.